Page MenuHomePhabricator

Cursor into and out of table captions correctly with up/down arrow
Closed, ResolvedPublic

Description

Following on from T200525 and T181416

The correct order should be:

Before table, table caption (if present), row1/col1, row2, ..., rowN, after table.

Currently this works in reverse (up), but in forward it skips over the caption.

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterUpdate VE core submodule to master (2f4c0537e)
VisualEditor/VisualEditor : masterCursor into table captions if present, instead of the first cell

Event Timeline

Esanders created this task.Aug 13 2018, 7:40 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 13 2018, 7:40 PM

Change 448580 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] WIP Cursor into table captions if present, instead of the first cell

https://gerrit.wikimedia.org/r/448580

Deskana triaged this task as Medium priority.Aug 14 2018, 6:57 PM
Deskana edited projects, added VisualEditor (Current work); removed VisualEditor.
Deskana moved this task from Incoming to In progress on the VisualEditor (Current work) board.
Deskana added a subscriber: Deskana.

Please remember to move tasks into the right column to reflect their status. Thanks!

Esanders added a subscriber: dchan.Aug 16 2018, 7:36 PM

The WIP patch solves about 25% of this issue, but cursoring out of the captions appears to be a bit harder, so leaving this up for grabs. Maybe @dchan has a better idea?

dchan added a comment.Aug 19 2018, 6:22 AM

Ok, I added some code for cursoring downwards out of a caption. Note though that none of this code fixes things on Firefox.

dchan claimed this task.Aug 19 2018, 6:31 AM

Ok, I think we should worry about Firefox in a separate task, because the issues are different (and I guess more intractable).

Change 448580 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Cursor into table captions if present, instead of the first cell

https://gerrit.wikimedia.org/r/448580

Change 454621 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (2f4c0537e)

https://gerrit.wikimedia.org/r/454621

Change 454621 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (2f4c0537e)

https://gerrit.wikimedia.org/r/454621

Deskana closed this task as Resolved.Sep 27 2018, 12:20 PM